# class IAXEvent | Event class. More...
Full name | `TelEngine::IAXEvent`
Definition | `#include <libs/yiax/yateiax.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { DontSet = 0, Invalid, Terminated, Timeout, NotImplemented, New, AuthReq, AuthRep, Accept, Hangup, Reject, Busy, Text, Dtmf, Noise, Answer, Quelch, Unquelch, Progressing, Ringing, }

#### Public Methods

- ~IAXEvent ()
- inline Type type () const
- inline bool local () const
- inline bool final () const
- inline void setFinal ()
- inline u_int8_t frameType ()
- inline u_int32_t subclass ()
- inline IAXEngine* getEngine () const
- inline IAXTransaction* getTransaction () const
- inline void* getUserData () const
- inline IAXIEList& getList ()

#### Protected Methods

- IAXEvent (Type type, bool local, bool final, IAXTransaction* transaction, u_int8_t frameType = 0, u_int32_t subclass = 0)
- IAXEvent (Type type, bool local, bool final, IAXTransaction* transaction, IAXFullFrame* frame = 0)

## Detailed Description

This class holds an event generated by a transaction

enum Type { DontSet = 0, Invalid, Terminated, Timeout, NotImplemented, New, AuthReq, AuthRep, Accept, Hangup, Reject, Busy, Text, Dtmf, Noise, Answer, Quelch, Unquelch, Progressing, Ringing, } | ### Type

Event type as enumeration

~IAXEvent () | ### ~IAXEvent

Destructor Dereferences the transaction possibly causing its destruction

inline Type type () | ### type

[const]

Get the type of this event

Returns: The type of the event as enumeratio

inline bool local () | ### local

[const]

Check if this is a locally generated event

Returns: True if it is a locally generated event

inline bool final () | ### final

[const]

Check if this is a transaction finalization event

Returns: True if the transaction has finalized and will be destroyed

inline void setFinal () | ### setFinal

Set the final flag.

inline u_int8_t frameType () | ### frameType

Get the type of the frame that generated the event If 0 (internal event), the event consumer must delete the event

Returns: Frame type

inline u_int32_t subclass () | ### subclass

Get the subclass of the frame that generated the event

Returns: Frame subclass

inline IAXEngine* getEngine () | ### getEngine

[const]

Get the IAX engine this event belongs to, if any

Returns: The IAX engine this event belongs to, if any

inline IAXTransaction* getTransaction () | ### getTransaction

[const]

Get the IAX transaction that generated the event, if any

Returns: The IAX transaction that generated the event, if any

inline void* getUserData () | ### getUserData

[const]

Get the opaque user data stored in the transaction

Returns: The opaque user data stored in the transaction

inline IAXIEList& getList () | ### getList

Get the IE list

Returns: IE list reference

IAXEvent (Type type, bool local, bool final, IAXTransaction* transaction, u_int8_t frameType = 0, u_int32_t subclass = 0) | ### IAXEvent

[protected]

Constructor

Parameters:

type | Event type
local | Local flag
final | Final flag
transaction | IAX transaction that generated the event
frameType | The type of the frame that generated the event
subclass | The subclass of the frame that generated the event

IAXEvent (Type type, bool local, bool final, IAXTransaction* transaction, IAXFullFrame* frame = 0) | ### IAXEvent

[protected]

Constructor

Parameters:

type | Event type
local | Local flag
final | Final flag
transaction | IAX transaction that generated the event
frame | The frame that generated the event

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.